Class AppLinksImpl
- All Implemented Interfaces:
AppLinks
-
Constructor Summary
Constructors -
Method Summary
Modifier and TypeMethodDescriptionattachAppDomain(String appLinkId, String appDomainId) Attach Domain to Link:PUT /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationattachAppDomainToAppLink).attachAppProcessor(String appLinkId, String appProcessorId, AppLinkAttachProcessorRequest request) Attach Processor to Link:PUT /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationattachAppProcessorToAppLink).attachAppService(String appLinkId, String appServiceId, AppLinkAttachServiceRequest request) Attach Service to Link:PUT /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationattachAppServiceToAppLink).create(AppLinkPostRequest request) Create Link:POST /fabric/v4/appLinks(operationcreateAppLink).Delete Link:DELETE /fabric/v4/appLinks/{appLinkId}(operationdeleteAppLinkByUuid).detachAppDomain(String appLinkId, String appDomainId) Detach Domain from Link:DELETE /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationdetachAppDomainFromAppLink).detachAppProcessor(String appLinkId, String appProcessorId) Detach App Processor from App Link:DELETE /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationdetachAppProcessorFromAppLink).detachAppService(String appLinkId, String appServiceId) Detach Service from Link:DELETE /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationdetachAppServiceFromAppLink).getAttachedAppDomain(String appLinkId, String appDomainId) Get Attached Domain for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationgetAttachedAppDomainByUuid).getAttachedAppProcessor(String appLinkId, String appProcessorId) Get attached App Processor for App Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationgetAttachedAppProcessor).getAttachedAppService(String appLinkId, String appServiceId) Get Attached Service for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationgetAttachedAppServiceByUuid).Get Link:GET /fabric/v4/appLinks/{appLinkId}(operationgetAppLinkByUuid).listAttachedAppDomains(String appLinkId) Get Attached Domains for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains(operationgetAttachedAppDomainsByAppLinkId).listAttachedAppDomains(String appLinkId, AttachmentQuery query) Get Attached Domains for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains(operationgetAttachedAppDomainsByAppLinkId).listAttachedAppProcessors(String appLinkId) Get attached Processors for Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors(operationgetAttachedAppProcessorsByAppLinkId).listAttachedAppProcessors(String appLinkId, AttachmentQuery query) Get attached Processors for Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors(operationgetAttachedAppProcessorsByAppLinkId).listAttachedAppServices(String appLinkId) Get Attached Services for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices(operationgetAttachedAppServicesByAppLinkId).listAttachedAppServices(String appLinkId, AttachmentQuery query) Get Attached Services for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices(operationgetAttachedAppServicesByAppLinkId).search()Search Links:POST /fabric/v4/appLinks/search(operationsearchAppLinks).search(FilterPropertyList filter) Search Links:POST /fabric/v4/appLinks/search(operationsearchAppLinks).search(FilterPropertyList filter, SortPropertyList sort) Search Links:POST /fabric/v4/appLinks/search(operationsearchAppLinks).searchAttachedAppDomains(String appLinkId) Search Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).searchAttachedAppDomains(String appLinkId, FilterPropertyList filter) Search Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).searchAttachedAppDomains(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Search Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).searchAttachedAppProcessors(String appLinkId) Search attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter) Search attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Search attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).searchAttachedAppServices(String appLinkId) Search Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).searchAttachedAppServices(String appLinkId, FilterPropertyList filter) Search Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).searchAttachedAppServices(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Search Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).update(String appLinkId, List<PatchOperation> operations) Update Link:PATCH /fabric/v4/appLinks/{appLinkId}(operationupdateAppLinkByUuid).updateAppServiceAttachment(String appLinkId, String appServiceId, List<PatchOperation> operations) Update Service Attachment for Link:PATCH /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationupdateAppServiceAttachmentToAppLink).
-
Constructor Details
-
AppLinksImpl
Creates the client.- Parameters:
clients- the shared internal client factory
-
-
Method Details
-
create
Description copied from interface:AppLinksCreate Link:POST /fabric/v4/appLinks(operationcreateAppLink).This API provides capability to create user's Link
-
getByUuid
Description copied from interface:AppLinksGet Link:GET /fabric/v4/appLinks/{appLinkId}(operationgetAppLinkByUuid).This API provides capability to retrieve user's Link
-
delete
Description copied from interface:AppLinksDelete Link:DELETE /fabric/v4/appLinks/{appLinkId}(operationdeleteAppLinkByUuid).This API provides capability to delete user's Link
-
update
Description copied from interface:AppLinksUpdate Link:PATCH /fabric/v4/appLinks/{appLinkId}(operationupdateAppLinkByUuid).This API provides capability to update user's Link
Sent as
application/json-patch+json, per the spec. Patchable paths named by the spec:/bandwidth,/description,/ipv4Subnet,/name. -
search
Description copied from interface:AppLinksSearch Links:POST /fabric/v4/appLinks/search(operationsearchAppLinks).The API provides capability to get list of user's App Links using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/bandwidth,/changeLog/createdDateTime,/changeLog/deletedDateTime,/changeLog/updatedDateTime,/description,/ipv4Subnet,/name,/project/projectId,/state,/uuid.Sort properties named by the spec:
/changeLog/createdDateTime,/changeLog/updatedDateTime,/name,/state,/uuid. -
search
Description copied from interface:AppLinksSearch Links:POST /fabric/v4/appLinks/search(operationsearchAppLinks).The API provides capability to get list of user's App Links using search criteria, including optional filtering, pagination and sorting
-
search
Description copied from interface:AppLinksSearch Links:POST /fabric/v4/appLinks/search(operationsearchAppLinks).The API provides capability to get list of user's App Links using search criteria, including optional filtering, pagination and sorting
-
attachAppDomain
Description copied from interface:AppLinksAttach Domain to Link:PUT /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationattachAppDomainToAppLink).This API provides ability to attach the user's App Domain to App Link
- Specified by:
attachAppDomainin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappDomainId- theappDomainIdpath parameter- Returns:
- the
AppLinkAppDomainAttachmentthe API returns
-
detachAppDomain
Description copied from interface:AppLinksDetach Domain from Link:DELETE /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationdetachAppDomainFromAppLink).This API provides ability to detach App Domain from App Link
- Specified by:
detachAppDomainin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappDomainId- theappDomainIdpath parameter- Returns:
- the
AppLinkAppDomainAttachmentthe API returns
-
getAttachedAppDomain
Description copied from interface:AppLinksGet Attached Domain for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains/{appDomainId}(operationgetAttachedAppDomainByUuid).This API provides ability to retrieve an App Domain attached to an App Link
- Specified by:
getAttachedAppDomainin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappDomainId- theappDomainIdpath parameter- Returns:
- the
AppLinkAppDomainAttachmentthe API returns
-
searchAttachedAppDomains
public PaginatedFilteredList<AppLinkAppDomainAttachment> searchAttachedAppDomains(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Description copied from interface:AppLinksSearch Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).The API provides capability to get list of user's attached App Domains using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/attachmentStatus,/uuid.Sort properties named by the spec:
/attachmentStatus,/changeLog/createdDateTime,/changeLog/updatedDateTime,/uuid.- Specified by:
searchAttachedAppDomainsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterfilter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
AppLinkAppDomainAttachment
-
searchAttachedAppDomains
public PaginatedFilteredList<AppLinkAppDomainAttachment> searchAttachedAppDomains(String appLinkId, FilterPropertyList filter) Description copied from interface:AppLinksSearch Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).The API provides capability to get list of user's attached App Domains using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchAttachedAppDomainsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterfilter- the filter (nullfor none)- Returns:
- a lazily paged list of
AppLinkAppDomainAttachment
-
searchAttachedAppDomains
Description copied from interface:AppLinksSearch Attached Domains for Link:POST /fabric/v4/appLinks/{appLinkId}/appDomains/search(operationsearchAttachedAppDomains).The API provides capability to get list of user's attached App Domains using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchAttachedAppDomainsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameter- Returns:
- a lazily paged list of
AppLinkAppDomainAttachment
-
listAttachedAppDomains
public PaginatedList<AppLinkAttachedAppDomain> listAttachedAppDomains(String appLinkId, AttachmentQuery query) Description copied from interface:AppLinksGet Attached Domains for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains(operationgetAttachedAppDomainsByAppLinkId).This API provides capability to retrieve App Domains attached to an App Link
Paged with
offset/limit;attachmentStatusfilters by state.- Specified by:
listAttachedAppDomainsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterquery- optionalattachmentStatus/order/stylequery parameters (nullfor none)- Returns:
- a lazily paged list of
AppLinkAttachedAppDomain
-
listAttachedAppDomains
Description copied from interface:AppLinksGet Attached Domains for Link:GET /fabric/v4/appLinks/{appLinkId}/appDomains(operationgetAttachedAppDomainsByAppLinkId).This API provides capability to retrieve App Domains attached to an App Link
- Specified by:
listAttachedAppDomainsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameter- Returns:
- a lazily paged list of
AppLinkAttachedAppDomain
-
attachAppService
public AppLinkAppServiceAttachment attachAppService(String appLinkId, String appServiceId, AppLinkAttachServiceRequest request) Description copied from interface:AppLinksAttach Service to Link:PUT /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationattachAppServiceToAppLink).This API provides ability to attach the user's App Service to App Link
- Specified by:
attachAppServicein interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappServiceId- theappServiceIdpath parameterrequest- theAppLinkAttachServiceRequestrequest body- Returns:
- the
AppLinkAppServiceAttachmentthe API returns
-
detachAppService
Description copied from interface:AppLinksDetach Service from Link:DELETE /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationdetachAppServiceFromAppLink).This API provides ability to detach App Service from App Link
- Specified by:
detachAppServicein interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappServiceId- theappServiceIdpath parameter- Returns:
- the
AppLinkAppServiceAttachmentthe API returns
-
updateAppServiceAttachment
public AppLinkAppServiceAttachment updateAppServiceAttachment(String appLinkId, String appServiceId, List<PatchOperation> operations) Description copied from interface:AppLinksUpdate Service Attachment for Link:PATCH /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationupdateAppServiceAttachmentToAppLink).This API provides ability to update the App Service attachment to App Link
Sent as
application/json-patch+json, per the spec. Patchable paths named by the spec:/destinationIp.- Specified by:
updateAppServiceAttachmentin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappServiceId- theappServiceIdpath parameteroperations- the patch operations (op/path/value)- Returns:
- the
AppLinkAppServiceAttachmentthe API returns
-
getAttachedAppService
Description copied from interface:AppLinksGet Attached Service for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationgetAttachedAppServiceByUuid).This API provides ability to retrieve an App Service attached to an App Link
- Specified by:
getAttachedAppServicein interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappServiceId- theappServiceIdpath parameter- Returns:
- the
AppLinkAppServiceAttachmentthe API returns
-
searchAttachedAppServices
public PaginatedFilteredList<AppLinkAppServiceAttachment> searchAttachedAppServices(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Description copied from interface:AppLinksSearch Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).The API provides capability to get list of user's attached App Services using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/attachmentStatus,/uuid.Sort properties named by the spec:
/attachmentStatus,/changeLog/createdDateTime,/changeLog/updatedDateTime,/uuid.- Specified by:
searchAttachedAppServicesin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterfilter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
AppLinkAppServiceAttachment
-
searchAttachedAppServices
public PaginatedFilteredList<AppLinkAppServiceAttachment> searchAttachedAppServices(String appLinkId, FilterPropertyList filter) Description copied from interface:AppLinksSearch Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).The API provides capability to get list of user's attached App Services using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchAttachedAppServicesin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterfilter- the filter (nullfor none)- Returns:
- a lazily paged list of
AppLinkAppServiceAttachment
-
searchAttachedAppServices
public PaginatedFilteredList<AppLinkAppServiceAttachment> searchAttachedAppServices(String appLinkId) Description copied from interface:AppLinksSearch Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).The API provides capability to get list of user's attached App Services using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchAttachedAppServicesin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameter- Returns:
- a lazily paged list of
AppLinkAppServiceAttachment
-
listAttachedAppServices
public PaginatedList<AppLinkAttachedAppService> listAttachedAppServices(String appLinkId, AttachmentQuery query) Description copied from interface:AppLinksGet Attached Services for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices(operationgetAttachedAppServicesByAppLinkId).This API provides capability to retrieve App Services attached to an App Link
Paged with
offset/limit;attachmentStatusfilters by state.- Specified by:
listAttachedAppServicesin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterquery- optionalattachmentStatus/order/stylequery parameters (nullfor none)- Returns:
- a lazily paged list of
AppLinkAttachedAppService
-
listAttachedAppServices
Description copied from interface:AppLinksGet Attached Services for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices(operationgetAttachedAppServicesByAppLinkId).This API provides capability to retrieve App Services attached to an App Link
- Specified by:
listAttachedAppServicesin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameter- Returns:
- a lazily paged list of
AppLinkAttachedAppService
-
attachAppProcessor
public AppLinkAppProcessorAttachment attachAppProcessor(String appLinkId, String appProcessorId, AppLinkAttachProcessorRequest request) Description copied from interface:AppLinksAttach Processor to Link:PUT /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationattachAppProcessorToAppLink).This API provides ability to attach an App Processor to an App Link.
- Specified by:
attachAppProcessorin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappProcessorId- theappProcessorIdpath parameterrequest- theAppLinkAttachProcessorRequestrequest body- Returns:
- the
AppLinkAppProcessorAttachmentthe API returns
-
detachAppProcessor
Description copied from interface:AppLinksDetach App Processor from App Link:DELETE /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationdetachAppProcessorFromAppLink).This API provides ability to detach an App Processor from an App Link.
- Specified by:
detachAppProcessorin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappProcessorId- theappProcessorIdpath parameter- Returns:
- the
AppLinkAppProcessorAttachmentthe API returns
-
getAttachedAppProcessor
public AppLinkAppProcessorAttachment getAttachedAppProcessor(String appLinkId, String appProcessorId) Description copied from interface:AppLinksGet attached App Processor for App Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors/{appProcessorId}(operationgetAttachedAppProcessor).This API provides ability to get an App Processor attached to an App Link.
- Specified by:
getAttachedAppProcessorin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterappProcessorId- theappProcessorIdpath parameter- Returns:
- the
AppLinkAppProcessorAttachmentthe API returns
-
searchAttachedAppProcessors
public PaginatedFilteredList<AppLinkAppProcessorAttachment> searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Description copied from interface:AppLinksSearch attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).The API provides capability to get list of App Processors attached to an App Link using search criteria, including optional filtering, pagination and sorting
Filter properties named by the spec:
/attachmentStatus,/uuid.Sort properties named by the spec:
/attachmentStatus,/changeLog/createdDateTime,/changeLog/updatedDateTime,/uuid.- Specified by:
searchAttachedAppProcessorsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterfilter- the filter (nullfor none)sort- the sort order (nullfor the service default)- Returns:
- a lazily paged list of
AppLinkAppProcessorAttachment
-
searchAttachedAppProcessors
public PaginatedFilteredList<AppLinkAppProcessorAttachment> searchAttachedAppProcessors(String appLinkId, FilterPropertyList filter) Description copied from interface:AppLinksSearch attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).The API provides capability to get list of App Processors attached to an App Link using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchAttachedAppProcessorsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterfilter- the filter (nullfor none)- Returns:
- a lazily paged list of
AppLinkAppProcessorAttachment
-
searchAttachedAppProcessors
public PaginatedFilteredList<AppLinkAppProcessorAttachment> searchAttachedAppProcessors(String appLinkId) Description copied from interface:AppLinksSearch attached Processors to Link:POST /fabric/v4/appLinks/{appLinkId}/appProcessors/search(operationsearchAttachedAppProcessors).The API provides capability to get list of App Processors attached to an App Link using search criteria, including optional filtering, pagination and sorting
- Specified by:
searchAttachedAppProcessorsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameter- Returns:
- a lazily paged list of
AppLinkAppProcessorAttachment
-
listAttachedAppProcessors
public PaginatedList<AppLinkAppProcessorAttachment> listAttachedAppProcessors(String appLinkId, AttachmentQuery query) Description copied from interface:AppLinksGet attached Processors for Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors(operationgetAttachedAppProcessorsByAppLinkId).This API provides capability to retrieve App Processors attached to an App Link.
Paged with
offset/limit;attachmentStatusfilters by state.- Specified by:
listAttachedAppProcessorsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameterquery- optionalattachmentStatus/order/stylequery parameters (nullfor none)- Returns:
- a lazily paged list of
AppLinkAppProcessorAttachment
-
listAttachedAppProcessors
Description copied from interface:AppLinksGet attached Processors for Link:GET /fabric/v4/appLinks/{appLinkId}/appProcessors(operationgetAttachedAppProcessorsByAppLinkId).This API provides capability to retrieve App Processors attached to an App Link.
- Specified by:
listAttachedAppProcessorsin interfaceAppLinks- Parameters:
appLinkId- theappLinkIdpath parameter- Returns:
- a lazily paged list of
AppLinkAppProcessorAttachment
-